import _objectSpread from "@babel/runtime/helpers/esm/objectSpread";
import React, { useEffect } from "react";
import { COL } from "../reducer/constants";
export function DividerTouch(props) {
  var actions = props.actions,
      divider = props.divider;

  function onMouseUp() {
    actions.setDividerDown(undefined);
    removeListeners();
  }

  function removeListeners() {
    document.removeEventListener("mouseup", onMouseUp);
  }

  function onMouseDown(_ref) {
    var clientX = _ref.clientX,
        clientY = _ref.clientY;
    actions.setDividerDown(_objectSpread({}, divider, {
      startX: clientX,
      startY: clientY
    }));
    document.addEventListener("mouseup", onMouseUp);
  }

  useEffect(function () {
    return removeListeners;
  }, ["once"]);
  var styles = dividerStyle(props);
  return React.createElement("div", {
    style: styles.touch,
    onMouseDown: onMouseDown,
    className: "divider"
  }, React.createElement("div", {
    style: styles.border
  }, React.createElement("div", {
    style: styles.inner
  })));
}

function dividerStyle(props) {
  var _props$divider = props.divider,
      width = _props$divider.width,
      height = _props$divider.height,
      top = _props$divider.top,
      left = _props$divider.left,
      direction = _props$divider.direction;
  var touchMargin = props.subdivide.touchMargin;
  var touch = {
    width: width,
    height: height,
    top: top,
    left: left,
    //     backgroundColor: 'rgba(0,0,0,0.5)',
    position: "absolute"
  };

  if (direction === COL) {
    touch.cursor = "row-resize";
    touch.top -= touchMargin;
    touch.height += touchMargin * 2;
  } else {
    touch.cursor = "col-resize";
    touch.left -= touchMargin;
    touch.width += touchMargin * 2;
  }

  return {
    touch: touch
  };
}